package main

import (
	"fmt"
	"os"

	"code.vulpine.solutions/sam/vlp/internal/commands/build"
	"github.com/urfave/cli/v2"
)

var App = &cli.App{
	Name:                   "vlp",
	Usage:                  "Package manager for foxes",
	UseShortOptionHandling: true,
	Commands: []*cli.Command{
		build.Command,
	},
}

func main() {
	err := App.Run(os.Args)
	if err != nil {
		fmt.Println("Error running vlp:", err)
		os.Exit(1)
	}
}
